#ifndef __KWLANMAINTRAYWIN__
#define  __KWLANMAINTRAYWIN__

#include <ksystemtray.h>
#include <qtooltip.h>

class QWidget;
class QPopupMenu;
class KWlanToolTip;
class KAction;


class KWlanMainToolTip : public QToolTip {

    public:
        KWlanMainToolTip(QWidget *parent);
        virtual ~KWlanMainToolTip();
	
    protected:
        void maybeTip(const QPoint &);
};


class KWlanMainTrayWin : public KSystemTray
{
    Q_OBJECT
    public:
        KWlanMainTrayWin(QWidget *parent=0, const char *name=0);
        virtual ~KWlanMainTrayWin();
        void contextMenuAboutToShow( KPopupMenu *r );
    public slots:
        void slotHandleInterfacesMenu(int id);
    signals:
        void aboutSelected();
        void sigMonitorInterface(QString interface, bool showWin);
    protected:
        KAction *m_quit, *m_about;
        KWlanMainToolTip *m_tooltip;
    private:
        KPopupMenu *m_interfacesMenu;
  
};


#endif
